:root {
    --red: #FF0000;
    --dark-red: #CC0000;
    --blue: #3B4CCA;
    --yellow: #FFDE00;
    --dark-yellow: #B3A125;
    --gray: #8c8c8c;

    --toWhite: invert(100%) sepia(94%) saturate(22%) hue-rotate(318deg) brightness(104%) contrast(107%);
}

/* Global */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    padding: 1rem 0.5rem;
    min-height: 100vh;
    background-color: #e2e2e2;
}

@media (min-width: 1080px) {
    body {
        display: flex;
        flex-direction: column;
        justify-content: center;
        padding: 1rem;
    }
}

/* Header */

.header {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 4px;
    min-height: 48px;
    background-color: var(--dark-red);
    border-radius: 12px 12px 0 0;
}

.header__img-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.header__img {
    height: 28px;
    width: 28px;
    filter: var(--toWhite);
}

.header__title {
    color: #fff;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 1rem;
}

@media (min-width: 1080px) {
    .header {
        justify-content: flex-start;
        padding-left: 2rem;
    }
}

/* Main */

.main__container {
    background: linear-gradient(120deg, #e2e2e2, #b4b4b4);
    padding: 1rem 1.2rem;
    border: 2px solid var(--gray);
    border-top: none;
    border-bottom: none;
}

@media (min-width: 1080px) {
    .main__container {
        display: grid;
        gap: 2rem;
        justify-content: center;
        grid-template-columns: minmax(auto, 600px) minmax(auto, 540px);
        grid-template-areas: 'title info'
            'pokemon info';
        padding: 2rem 7%;
    }
}

/* Main -> Header */

.main__header {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 4px 8px;
    background-color: #fff;
    border-radius: 12px;
    min-height: 42px;
    grid-area: title;
}

.main__header__img-container {
    display: flex;
    align-items: center;
}

.main__header__img {
    height: 32px;
    width: 32px;
}

.main__header__title {
    font-size: 1.4rem;
    text-transform: uppercase;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}


/* Main -> Pokemon */

.pokemon {
    display: flex;
    flex-direction: column;
    grid-area: pokemon;
}

.pokemon__img-container {
    display: flex;
    justify-content: center;
    z-index: 1;
}

.pokemon__img {
    min-height: 220px;
    min-width: 220px;
    max-width: 600px;
    max-height: 600px;
    aspect-ratio: 1 / 1;
    padding: 0 1rem 1rem 1rem;
}

@media (min-width: 1080px) {
    .pokemon__img {
        padding: 0;
    }

}

/* Main -> Pokemon -> Info */

.pokemon__info-container {
    display: grid;
    gap: 1rem;
    margin-top: -90px;
    border-radius: 12px;
    padding: 3.5rem 1.6rem 2.5rem 1.6rem;
    background-color: #fff;
    grid-area: info;
}

.pokemon__info {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
}

.pokemon__info__title,
.pokemon__info__detail {
    list-style-type: none;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.pokemon__info__title {
    color: var(--gray);
    font-weight: 600;
}

.pokemon__info__detail {
    position: relative;
}

.pokemon__info__detail.fire-dot::before {
    content: '';
    position: absolute;
    top: 8px;
    left: -22px;
    height: 5px;
    width: 5px;
    border-radius: 50%;
    background-color: var(--red);
}

@media (min-width: 580px) {
    .pokemon__info-container {
        margin-top: -140px;
    }
}

@media (min-width: 1080px) {
    .pokemon__info-container {
        grid-template-columns: 1fr 1fr;
        padding: 0;
        margin-top: 0px;
    }
    .pokemon__info {
        grid-template-columns: 1fr ;
        gap: 0.2rem;
        align-self: center;
        text-align: center;
    }
    .fire-dot::before {
        display: none;
    }
    .pokemon__info__detail {
        font-size: 1.8rem;
    }
    .pokemon__info__title {
        font-weight: 400;
    }
}


/* Footer */

.footer {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 1rem;
    padding: 1rem;
    border: 2px solid var(--gray);
    border-top: none;
    border-radius: 0 0 12px 12px;
    background-color: #fff;
}

.footer__title {
    font-size: 1rem;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif
}

.footer__buttons {
    display: grid;
    grid-template-columns: 1fr 1fr;
    row-gap: 1rem;
    column-gap: 2rem;
}

.footer__button {
    /* Normalize */
    border: none;
    display: grid;
    align-items: center;
    padding: 4px;
    width: min-content;
    border-radius: 12px;
    background-color: #dcdcdc;
    transition: background-color 0.3s ease;
}

.footer__button:hover {
    background-color: #b3b3b3;
}

.footer__button__img {
    height: 50px;
    width: 50px;
}

@media (min-width: 580px) {
    .footer {
        justify-content: space-around;
        flex-direction: row;
    }

    .footer__buttons {
        grid-template-columns: repeat(4, 1fr);
    }

}

@media (min-width: 1080px) {
    .footer {
        display: grid;
        justify-content: center;
        gap: 2rem;
        grid-template-columns: minmax(auto, 600px) minmax(auto, 540px);
        padding: 1rem 7%;
    }

    .footer__button__img {
        height: 65px;
        width: 65px;
        aspect-ratio: 1 / 1;
    }

    .footer__button {
        justify-self: flex-end;
    }
}